{% extends "base.html" %} {% load staticfiles %}
{% block title %} 用户信息 {% endblock title %}
{% block content %}
<script src="https://cdn.bootcss.com/jquery/2.2.4/jquery.min.js"></script>
<style>
	img.pos_top
	{
		position:relative;
		top:-460px;
	}
	</style>
<br>
<br>
<div class="container-fluid">
	<div class="row ">
		<!--分成两份2-10-->
		<div class="col-md-2 col-sm-2">
			<!--第一个列，2/12，中间嵌套一个行，-->
			<div class="row">
				<div class="col-md-8 col-sm-8">
					<ul class="nav nav-sidebar">
						<li><button type="button" class="btn btn-light"><a href="#">更改个人信息</a></button></li>
						<li><button type="button" class="btn btn-light"><a href="{% url 'userprofile:password_update' user.id %}">修改个人密码</a></button></li>
					</ul>
                </div>
            </div>
		</div>
	</div>
</div>
<div class="container">
    <div class="row">
        <div class="col-12">
		<!--之后添加头像部分-->
		<div class="offset-2">

		<!--对账号和密码的修改-->
		<form method="post" action="." enctype="multipart/form-data">
				{% csrf_token %}
				<!--头像-->
				<div class="form-group col-md-4">
					{% if profile.avatar %}
					<!--对输入进行限制，限制为图片，大小可以限制，checkSize中改变 if (filesize/(1024*1024) <10)中后面数字即可，现在大小放到10M-->
						<input type="file" name="avatar" id="avatar" accept="image/*" οnchange="fileChange(this);" /><br>
						<img src="{{ profile.avatar.url }}" id="img0" style="width: 20rem; height: 15rem; object-fit: cover;">
					{% else %}
						<input type="file" name="avatar" id="avatar" accept="image/*" οnchange="fileChange(this);" /><br>
						<img src="" id="img0" style="width: 200px; height: 150px; object-fit: cover;">
					{% endif %}
				</div>
                <!-- 电话 -->
				<div class="form-group col-md-4">
                    <label for="phone">电话</label>
                    <input type="text" class="form-control" id="phone" name="phone" value="{{ profile.phone }}">
                </div>
                <!-- 简介 -->
                <div class="form-group col-md-4">
                    <label for="bio">简介</label>
                    <textarea type="text" class="form-control" id="bio" name="bio" rows="12">{{ profile.bio }}</textarea>
                </div>
				<!--邮箱-->
				<div class="form-group col-md-4">
					<label for="email">邮箱</label>
					<input type="text" class="form-control" id="email" name="email" value="{{ user.email }}" >
				</div>

                <!-- 提交按钮 -->
				 <button type="submit" class="btn btn-primary">保存更改</button>
			</form>
		</div>
	</div>
</div>
</div>
{% if messages %}
<!--信息弹框形式-->
<script>
    {% for msg in messages %}
        alert('{{ msg.message }}');
    {% endfor %}
</script>
{% endif %}
<script>
	$("#avatar").change(function(){
		 var objUrl = getObjectURL(this.files[0]) ;//获取文件信息
			  if (objUrl) {
			  $("#img0").attr("src", objUrl);
			 }
		if ($(this).val() !== '' && checkSize(this)) {
            //其他操作
            ;
        }
	}) ;
	var userAgent = navigator.userAgent;
    function checkSize(input) {
        var Sys = {};
        var flag;
        var filesize = 0;
//判断浏览器种类
if (userAgent.indexOf("MSIE") > 0 || userAgent.indexOf("rv:11.0") > 0) {
            Sys.ie = true;
        }
        if (userAgent.indexOf("Firefox") > 0) {
            Sys.firefox = true;
        }
        if (userAgent.indexOf("Chrome") > 0) {
            Sys.Chrome = true;
        }
        //获取文件大小
        if (Sys.firefox || Sys.Chrome) {
            filesize = input.files[0].size;
        } else if (Sys.ie) {
            var fileobject = new ActiveXObject("Scripting.FileSystemObject");//获取上传文件的对象(ie11会弹框确认ActiveX的安全问题，确认即可；)
            var file = fileobject.GetFile(input.value);//获取上传的文件
            filesize = file.Size;//文件大小
        }

        //判断是否符合要求c
        if (filesize/(1024*1024) <10) {
            flag = true;
        } else {
            alert("附件过大，建议不要超过2mb！");
            flag = false;
        }
        return flag;
    }
	function getObjectURL(file) {
			 var url = null;
			 if (window.createObjectURL!=undefined) {
			  url = window.createObjectURL(file) ;
			 } else if (window.URL!=undefined) { // mozilla(firefox)
			  url = window.URL.createObjectURL(file) ;
			 } else if (window.webkitURL!=undefined) { // webkit or chrome
			  url = window.webkitURL.createObjectURL(file) ;
			 }
			 return url ;
			}
</script>
{% endblock content %}


